> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reconcile UKG Payroll

> Name and signature indicate it reconciles ukg payroll

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/reconcile-ukg-payroll
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/reconcile-ukg-payroll:
    post:
      operationId: reconcileUKGPayroll
      summary: Reconcile UKG Payroll
      description: |-
        Name and signature indicate it reconciles ukg payroll

        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReconcileUKGPayrollRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconcileUKGPayrollResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ReconcileUKGPayrollRequest:
      type: object
      properties:
        payrollGroup:
          type: string
          minLength: 1
          maxLength: 200
        checkDate:
          type: string
          format: date-time
      required:
        - payrollGroup
        - checkDate
    ReconcileUKGPayrollResponse:
      type: object
      properties:
        success:
          type: boolean
        reconciled:
          type: boolean
        details:
          type: object
          properties:
            payStatements:
              type: number
            totalDeductions:
              type: number
            deductionDetails:
              type: array
              items:
                type: object
                properties:
                  employeeId:
                    type: string
                  code:
                    type: string
                  amount:
                    type: number
                required:
                  - employeeId
                  - code
                  - amount
            glRuns:
              type: array
              items: {}
            error:
              type: string
          required:
            - payStatements
            - totalDeductions
            - deductionDetails
      required:
        - success
        - reconciled
        - details
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
